Subject: Re: bug#46790: 28.0.50; make install with native-comp branch

From: Thierry Volpiatto <[email-masked]>
Date: Sat, 24 Apr 2021 06:48:24 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Phil Sainty <[email-masked]>
>> Date: Tue, 20 Apr 2021 21:33:45 +1200
>> Cc: [email-masked]
>> 
>> Hi Thierry,
>> 
>> I suspect your bug has now been fixed in #44128.
>> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44128
>
> I think only as long as $(libdir) and $(libexecdir) keep their
> relative locations.
>
> We don't really support separate unsynchronized locations for the
> various *dir variables used to install Emacs.

Don't know what you are speaking about, the problem is with

make install bindir=foo

which IS documented in INSTALL.

> The official way of moving the entire installation is by either
> specifying prefix= or by DESTDIR=.

This is unrelated, I don't want to do this.

-- 
Thierry